Subject: Re: [TR] TR3B disk brake

From: "Randall" <[email-masked]>
Date: Fri, 3 May 2013 22:02:30 -0700

> my question - looks like probably the disc brake is the 
> problem; can I take it off, lubricate it or something?  is 
> there anything I can do short of replacing it?  or is that my 
> best option?

The calipers can usually be rebuilt a lot cheaper than replacing them, even
if you need to replace the pistons.  If it isn't leaking, you might try
pushing the pistons back into the caliper body and then pumping the pedal to
move them out again.  Sometimes that will free them up.  But frequently,
doing that will also make it start leaking, so perhaps a rebuild is the best
course.

Don't forget the 3rd soft line, at the rear axle.  If the front hoses are in
bad shape, chances are that it's ready to be replaced as well.

-- Randall 

** [email-masked] **

Archive: http://www.team.net/archive